--[[
AdiBags - Revelry! v0.9h [5.4.2017]
"Add filters for holidays to AdiBags."
]]--

local AddonName, AddonTable = ...
AddonTable.L = {}
local L = AddonTable.L
local locale = GetLocale()

-------------------- enUS Default---------------------
-- Name and Description
L["Revelry!"] = true
L["Add filters for holidays to AdiBags."] = true
L["This is a work in progress and not all holidays are currently supported. Stay posted for updates as missing holidays come around."] = true
L[""] = true
L[" "] = true

-- Holidays
L["Holidays"] = true
L["Noblegarden"] = true
L["Children's Week"] = true
L["Midsummer Fire Festival"] = true
L["Fire Festival"] = true
L["Pirates' Day"] = true
L["Brewfest"] = true
L["Day of the Dead"] = true
-- Micro-Holidays
L["Micro-Holidays"] = true
L["Call of the Scarab"] = true
L["Hatching of the Hippogryphs"] = true
L["Un'Goro Madness"] = true
L["March of the Tadpoles"] = true
L["Glowcap Festival"] = true
L["Thousand Boat Bash"] = true
L["Kirin Tor Tavern Crawl"] = true
L["Tavern Crawl"] = true
-- Darkmoon Faire
L["Darkmoon Faire"] = true

-- Headers
L["AdiBags - Revelry! v0.9h"] = true
L["AdiBags - Revelry! v0.9h - Holidays"] = true
L["AdiBags - Revelry! v0.9h - Darkmoon Faire"] = true
L["Provides filters for holidays."] = true
L["Provides filters for holidays and micro-holidays."] = true
L["Provides filters for the Darkmoon Faire."] = true
L["Configure your filters in more detail below.\n\n|cffff7700Remember, any toggled 'Merge' settings will override holiday names.\n|r"] = true
L["Configure your filters in more detail below.\n\n|cffff7700If toggled, Darkmoon Faire items will be grouped into their own separate section (otherwise they will be merged or ignored, depending upon your selections).\n|r"] = true

-- Core Options
L["Options"] = true
L["Select All"] = true
L["Toggle all holiday filters (including micro-holidays)."] = true
L["Toggle all Darkmoon Faire filters."] = true
L["Festive Mug"] = true
L["Include your Festive Mug in your holiday filters."] = true
L["Merge..."] = true
L["... Holidays"] = true
L["... Micro-Holidays"] = true
L["... Everything!"] = true
L["Combine all holiday filters under one header."] = true
L["Combine all micro-holiday filters under one header."] = true
L["Combine all filters under a single heading."] = true

-- Holiday Options
L["Toggle all filters for this holiday."] = true
L["Toggle all micro-holiday filters."] = true
L["Tokens"] = true
L["Items"] = true
L["Arms"] = true
L["Attire"] = true
L["Food & Drink"] = true
L["Booze"] = true
L["Recipes"] = true
L["Mounts"] = true
L["Pets"] = true
L["Toys"] = true
-- Holiday Option Descriptions
L["Filter items and equipment for this holiday."] = true
L["Filter items and equipment for this micro-holiday."] = true
L["Include filters for weapons and cosmetic accoutrements unique to this holiday."] = true
L["Include filters for clothing and cosmetic attire unique to this holiday."] = true
L["Include filters for holiday fare."] = true
L["Include filters for recipes."] = true
L["Include filters for mounts."] = true
L["Include filters for pets."] = true
L["Include filters for toys."] = true

-- Children's Week Options
L["Bad Example"] = true
L["Include items needed to complete:\n• |cffffff00Bad Example|r"] = true
-- Midsummer Fire Festival Options
L["Bag of Smorc Ingredients"] = true
L["Include |cffc79c6eBag of Smorc Ingredients|r in your Fire Festival filters."] = true
-- Brewfest Options
L["Include tokens used to purchase unique items and equipment during Brewfest."] = true
L["Brew of the Month"] = true
L['Filter items and brews for the |cff85ff85"Brew of the Month"|r Club.'] = true
L["Include items needed to complete:\n• |cffffff00The Brewfest Diet|r"] = true
L["Strange Brew"] = true
L["Include items needed to complete:\n• |cffffff00Strange Brew|r"] = true
L["Brews"] = true
L["Include filters for special Brewfest beverages."] = true
L["Hops"] = true
L["Include any Brewfest Hops in your filters."] = true

-- Darkmoon Faire Options
L["Key Items"] = true
L["Achievements"] = true
L["Professions"] = true
L["Gear"] = true
L["Collections"] = true
L["Miscellaneous"] = true
L["Adventurer's Guide"] = true
L["Game Tokens"] = true
L["Ride Tickets"] = true
L["Daggermaw"] = true
L["Quest Items"] = true
L["Darkmoon Adventurer"] = true
L["Fairegoer's Feast"] = true
L["Taking the Show on the Road"] = true
L["Faire Favors"] = true
L["Craft Goods"] = true
L["Fishing"] = true
L["Vanity Items"] = true
L["Prizes"] = true
L["Fortunes"] = true
-- Darkmoon Faire Descriptions
L["Include the |cffe2a6caDarkmoon Adventurer's Guide|r."] = true
L["Include tokens for games at the Darkmoon Faire."] = true
L["Include tickets for rides at the Darkmoon Faire."] = true
L["Include Darkmoon Daggermaw."] = true
L["Include items needed to complete important quests at the Darkmoon Faire."] = true
L["Include items needed to complete:\n• |cffffff00Darkmoon Defender|r\n• |cffffff00Darkmoon Dungeoneer|r\n• |cffffff00Darkmoon Despoiler|r"] = true
L["Include items needed to complete:\n• |cffffff00Fairegoer's Feast|r"] = true
L["Include items needed to complete:\n• |cffffff00Taking the Show on the Road|r"] = true
L["Include items used for profession-based quests at the Darkmoon Faire."] = true
L["Include reagents like Coarse Thread or Simple Flour, which are needed for profession-based quests at the Darkmoon Faire."] = true
L["Include crates and containers that can be fished from the waters around Darkmoon Island."] = true
L["Include weapons and cosmetic accoutrements found at the Darkmoon Faire."] = true
L["Include clothing and cosmetic attire found at the Darkmoon Faire."] = true
L["Include vanity items that can be purchased or won at the Darkmoon Faire."] = true
L["Include mounts that can be found on Darkmoon Island."] = true
L["Include pets found on or around Darkmoon Island."] = true
L["Include toys found on or around Darkmoon Island."] = true
L["Include prize containers that can be won at the Darkmoon Faire."] = true
L["Include Sayge's fortunes in your Darkmoon Faire filters."] = true

--- CURRENTLY LOOKING FOR TRANSLATION CONTRIBUTORS ---
------------------------ frFR ------------------------
if locale == "frFR" then


------------------------ deDE ------------------------
elseif locale == "deDE" then


------------------------ esMX ------------------------
elseif locale == "esMX" then


------------------------ ruRU ------------------------
elseif locale == "ruRU" then


------------------------ esES ------------------------
elseif locale == "esES" then


------------------------ zhTW ------------------------
elseif locale == "zhTW" then


------------------------ zhCN ------------------------
elseif locale == "zhCN" then


------------------------ koKR ------------------------
----------- Contributed by: yuk6196@Curse ------------
elseif locale == "koKR" then
-- Name and Description
	L["Revelry!"] = true
	L["Add filters for holidays to AdiBags."] = "AdiBags에 축제를 위한 필터를 추가합니다."
	L["This is a work in progress and not all holidays are currently supported. Stay posted for updates as missing holidays come around."] = "이것은 아직 진행 중인 작업이며 현재 모든 축제를 지원하지 않습니다. 누락된 축제의 업데이트를 계속 확인하세요."
	L[""] = true
	L[" "] = true
-- Holidays
	L["Holidays"] = "축제"
	L["Noblegarden"] = "귀족의 정원"
	L["Children's Week"] = "어린이 주간"
	L["Midsummer Fire Festival"] = "한여름 불꽃축제"
	L["Fire Festival"] = "불꽃축제"
	L["Pirates' Day"] = "해적의 날"
	L["Brewfest"] = true
	L["Day of the Dead"] = "망자의 날"
-- Micro-Holidays
	L["Micro-Holidays"] = "짧은 축제"
	L["Call of the Scarab"] = "스카라베의 부름"
	L["Hatching of the Hippogryphs"] = "히포그리프 부화일"
	L["Un'Goro Madness"] = "운고로의 광기"
	L["March of the Tadpoles"] = "올챙이들의 행진"
	L["Glowcap Festival"] = "초롱버섯 축제"
	L["Thousand Boat Bash"] = "버섯구름 뱃놀이 대잔치"
	L["Kirin Tor Tavern Crawl"] = "키린 토 선술집 순례"
	L["Tavern Crawl"] = "선술집 순례"
-- Darkmoon Faire
	L["Darkmoon Faire"] = "다크문 축제"
-- Headers
	L["AdiBags - Revelry! v0.9h"] = true
	L["AdiBags - Revelry! v0.9h - Holidays"] = "AdiBags - Revelry! v0.9h - 축제"
	L["AdiBags - Revelry! v0.9h - Darkmoon Faire"] = "AdiBags - Revelry! v0.9h - 다크문 축제"
	L["Provides filters for holidays."] = "축제와 기념일을 위한 필터를 제공합니다."
	L["Provides filters for holidays and micro-holidays."] = "축제와 기념일을 위한 필터를 제공합니다."
	L["Provides filters for the Darkmoon Faire."] = "다크문 축제를 위한 필터를 제공합니다."
	L["Configure your filters in more detail below.\n\n|cffff7700Remember, any toggled 'Merge' settings will override holiday names.\n|r"] = "아래에서 당신의 필터를 세부 설정하세요.\n\n|cffff7700'합치기' 설정을 사용하면 축제 이름을 강제 적용합니다.\n|r"
	L["Configure your filters in more detail below.\n\n|cffff7700If toggled, Darkmoon Faire items will be grouped into their own separate section (otherwise they will be merged or ignored, depending upon your selections).\n|r"] = "아래에서 당신의 필터를 세부 설정하세요.\n\n|cffff7700선택하면 다크문 축제 아이템은 별도의 항목으로 그룹화됩니다 (그렇지 않으면 당신의 항목에 따라 병합되거나 무시됩니다).\n|r"
-- Core Options
	L["Options"] = "옵션"
	L["Select All"] = "모두 선택"
	L["Toggle all holiday filters (including micro-holidays)."] = "모든 축제 필터를 사용합니다 (짧은 축제 포함)"
	L["Toggle all Darkmoon Faire filters."] = "모든 다크문 축제 필터를 사용합니다."
	L["Festive Mug"] = "축제 잔"
	L["Include your Festive Mug in your holiday filters."] = "당신의 축제 필터에 당신의 축제 잔을 포함시킵니다."
	L["Merge..."] = "합치기..."
	L["... Holidays"] = "... 축제"
	L["... Micro-Holidays"] = "... 짧은 축제"
	L["... Everything!"] = "... 모두!"
	L["Combine all holiday filters under one header."] = "모든 축제 필터를 단일 제목 아래 결합시킵니다."
	L["Combine all micro-holiday filters under one header."] = "모든 짧은 축제 필터를 단일 제목 아래 결합시킵니다."
	L["Combine all filters under a single heading."] = "모든 필터를 단일 제목 아래 결합시킵니다."
-- Holiday Options
	L["Toggle all filters for this holiday."] = "이 축제의 모든 필터를 사용합니다."
	L["Toggle all micro-holiday filters."] = "모든 짧은 축제 필터를 사용합니다."
	L["Tokens"] = "동전"
	L["Items"] = "아이템"
	L["Arms"] = "무기"
	L["Attire"] = "의상"
	L["Food & Drink"] = "음식 & 음료"
	L["Booze"] = true
	L["Recipes"] = "제조법"
	L["Mounts"] = "탈것"
	L["Pets"] = "애완동물"
	L["Toys"] = "장난감"
-- Holiday Option Descriptions
	L["Filter items and equipment for this holiday."] = "이 휴일을위한 항목 및 장비 필터링."
	L["Filter items and equipment for this micro-holiday."] = "짧은 축제를 위한 아이템과 장비를 선별합니다."
	L["Include filters for weapons and cosmetic accoutrements unique to this holiday."] = "이 축제의 고유한 무기와 미용 용품을 선별하는 필터를 포함시킵니다."
	L["Include filters for clothing and cosmetic attire unique to this holiday."] = "이 축제의 고유한 의상과 복장을 선별하는 필터를 포함시킵니다."
	L["Include filters for holiday fare."] = "축제일 음식을 위한 필터를 포함시킵니다."
	L["Include filters for recipes."] = "제조법을 위한 필터를 포함시킵니다."	
	L["Include filters for mounts."] = "탈것을 위한 필터를 포함시킵니다."
	L["Include filters for pets."] = "애완동물을 위한 필터를 포함시킵니다."
	L["Include filters for toys."] = "장난감을 위한 필터를 포함시킵니다."
-- Children's Week Options
	L["Bad Example"] = "나쁜 본보기"
	L["Include items needed to complete:\n• |cffffff00Bad Example|r"] = true
-- Midsummer Fire Festival Options
	L["Bag of Smorc Ingredients"] = "스모크 재료 주머니"
	L["Include |cffc79c6eBag of Smorc Ingredients|r in your Fire Festival filters."] = "당신의 불꽃축제 필터에 |cffc79c6e스모크 재료 주머니|r를 포함시킵니다."
-- Brewfest Options
	L["Include tokens used to purchase unique items and equipment during Brewfest."] = true
	L["Brew of the Month"] = true
	L['Filter items and brews for the |cff85ff85"Brew of the Month"|r Club.'] = true
	L["Include items needed to complete:\n• |cffffff00The Brewfest Diet|r"] = true
	L["Strange Brew"] = true
	L["Include items needed to complete:\n• |cffffff00Strange Brew|r"] = true
	L["Brews"] = true
	L["Include filters for special Brewfest beverages."] = true
	L["Hops"] = true
	L["Include any Brewfest Hops in your filters."] = true	
-- Darkmoon Faire Options
	L["Key Items"] = "핵심 아이템"
	L["Achievements"] = "업적"
	L["Professions"] = "전문기술"
	L["Gear"] = "장비"
	L["Collections"] = "수집품"
	L["Miscellaneous"] = "기타"
	L["Adventurer's Guide"] = "모험가 도감"
	L["Game Tokens"] = "게임 동전"
	L["Ride Tickets"] = "탑승권"
	L["Daggermaw"] = "비수아귀"
	L["Quest Items"] = "퀘스트 아이템"
	L["Darkmoon Adventurer"] = "다크문 모험가"
	L["Fairegoer's Feast"] = "다크문도 식후경"
	L["Taking the Show on the Road"] = "순회공연"
	L["Faire Favors"] = "축제 도우미"
	L["Craft Goods"] = "제작 재료"
	L["Fishing"] = "낚시"
	L["Vanity Items"] = "허영 아이템"
	L["Prizes"] = "상품"
	L["Fortunes"] = "점괘"	
-- Darkmoon Faire Descriptions
	L["Include the |cffe2a6caDarkmoon Adventurer's Guide|r."] = "|cffe2a6ca다크문 모험가 도감|r을 포함시킵니다."	
	L["Include tokens for games at the Darkmoon Faire."] = "다크문 축제에 게임 동전을 포함시킵니다."	
	L["Include tickets for rides at the Darkmoon Faire."] = "다크문 축제에 탑승권을 포함시킵니다."	
	L["Include Darkmoon Daggermaw."] = "다크문 비수아귀를 포함시킵니다."	
	L["Include items needed to complete important quests at the Darkmoon Faire."] = "다크문 축제에 주요 퀘스트를 완료하기 위해 필요한 아이템을 포함시킵니다."	
	L["Include items needed to complete:\n• |cffffff00Darkmoon Defender|r\n• |cffffff00Darkmoon Dungeoneer|r\n• |cffffff00Darkmoon Despoiler|r"] = "다음을 완료하기 위해 필요한 아이템을 포함시킵니다:\n• |cffffff00다크문 수호자|r\n• |cffffff00다크문 던전 탐험가|r\n• |cffffff00다크문 강탈자|r"	
	L["Include items needed to complete:\n• |cffffff00Fairegoer's Feast|r"] = "다음을 완료하기 위해 필요한 아이템을 포함시킵니다:\n• |cffffff00다크문도 식후경|r"	
	L["Include items needed to complete:\n• |cffffff00Taking the Show on the Road|r"] = "다음을 완료하기 위해 필요한 아이템을 포함시킵니다:\n• |cffffff00순회공연|r"
	L["Include items used for profession-based quests at the Darkmoon Faire."] = "다크문 축제에 전문기술 기반 퀘스트에 사용되는 아이템을 포함시킵니다."
	L["Include reagents like Coarse Thread or Simple Flour, which are needed for profession-based quests at the Darkmoon Faire."] = "다크문 축제에서 전문기술 기반 퀘스트에 필요한 굵은 실타래나 밀가루 포대같은 재료를 포함시킵니다."
	L["Include crates and containers that can be fished from the waters around Darkmoon Island."] = "다크문 섬 주변의 물에서 낚을 수 있는 상자와 보관함을 포함시킵니다."
	L["Include weapons and cosmetic accoutrements found at the Darkmoon Faire."] = "다크문 축제에서 발견한 무기와 미용 용품을 포함시킵니다."
	L["Include clothing and cosmetic attire found at the Darkmoon Faire."] = "다크문 축제에서 발견한 의상과 복장을 포함시킵니다."
	L["Include vanity items that can be purchased or won at the Darkmoon Faire."] = "다크문 축제에서 구입하거나 획득할 수 있는 허영 아이템을 포함시킵니다."
	L["Include mounts that can be found on Darkmoon Island."] = "다크문 섬에서 발견할 수 있는 탈것을 포함시킵니다."
	L["Include pets found on or around Darkmoon Island."] = "다크문 섬 또는 그 주변에서 발견할 수 있는 애완동물을 포함시킵니다. "
	L["Include toys found on or around Darkmoon Island."] = "다크문 섬 또는 그 주변에서 발견할 수 있는 장난감을 포함시킵니다."
	L["Include prize containers that can be won at the Darkmoon Faire."] = "다크문 축제에서 획득할 수 있는 상품 보관함을 포함시킵니다."
	L["Include Sayge's fortunes in your Darkmoon Faire filters."] = "당신의 다크문 축제 필터에 세이지의 점괘를 포함시킵니다."
end

-- Replace remaining true values by their key
for k,v in pairs(L) do
	if v == true then
		L[k] = k
	end
end
